error on frontpage menu bar lefthand side

General questions relating to Joomla! 1.5 There are other boards for more specific help on Joomla! features and extensions.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Locked
col_jay
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Aug 13, 2009 12:14 pm

error on frontpage menu bar lefthand side

Post by col_jay » Thu Aug 13, 2009 12:44 pm

I have load joomla as a localhost using xampp, Followed 3 different installation guides, but cannot seem to solve my problem. I get the following error in the main menu block on the left hand side.
Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference, value given in C:\xampp\xampp\htdocs\joomlabeta\libraries\joomla\cache\handler\callback.php on line 99

Can somebody help me to sortout this problem.

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27060
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: error on frontpage menu bar lefthand side

Post by imanickam » Thu Aug 13, 2009 12:54 pm

I believe that you are using PHP 5.3.0. At present there is an issue with Joomla! working with PHP 5.3.0. Suggest using lesser version of PHP such as 5.2.8 or 5.2.9.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

col_jay
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Aug 13, 2009 12:14 pm

Re: error on frontpage menu bar lefthand side

Post by col_jay » Thu Aug 13, 2009 4:07 pm

Thanks for infomation. I used the Xampp ver 1.7.2 for my installation. It come with PHP ver 5.3.0.
How do I now use a lower version of PHP.

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27060
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: error on frontpage menu bar lefthand side

Post by imanickam » Thu Aug 13, 2009 9:07 pm

I suggest using xampp 1.7.1 -> http://en.sourceforge.jp/projects/xampp ... fulllist=1.

Alternatively, you could completely uninstall xampp and install wamp. There are provisions with wamp to install and use various versions of different products such as Apache, PHP and MySQL. In fact with wamp you can almost mimic your host environment.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

pajo60
Joomla! Apprentice
Joomla! Apprentice
Posts: 26
Joined: Thu Aug 13, 2009 10:56 pm

Re: error on frontpage menu bar lefthand side

Post by pajo60 » Thu Aug 13, 2009 11:02 pm

Hi folks. Complete beginner here, so excuse me for that.

I was having these problems with WAMP.
I followed the instructions and downloaded php5.2.9-2

So it's currently in my C:wamp/bin/php folder along with php5.3.0.

I am still getting the problems. How do I tell WAMP to use the 5.2 version instead of 5.3?


I realise this is probably a very basic question. Thanks for any help though.

pajo60
Joomla! Apprentice
Joomla! Apprentice
Posts: 26
Joined: Thu Aug 13, 2009 10:56 pm

Re: error on frontpage menu bar lefthand side

Post by pajo60 » Thu Aug 13, 2009 11:18 pm

:-[ Ok I figured it out.


It's via the icon in the desktop tray (just in case any other complete newbies happen to stumble this far) :)

col_jay
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Aug 13, 2009 12:14 pm

Re: error on frontpage menu bar lefthand side

Post by col_jay » Fri Aug 14, 2009 5:00 am

WAMP SERVER 2, comes with
- Apache 2.2.11
- MySQL 5.1.36
- PHP 5.3.0 versions

Once installed would I have to change only the PHP ver to a lower version from the panel or would I have to download the version first.

User avatar
imanickam
Joomla! Master
Joomla! Master
Posts: 27060
Joined: Wed Aug 13, 2008 2:57 am
Location: Chennai, India

Re: error on frontpage menu bar lefthand side

Post by imanickam » Fri Aug 14, 2009 12:14 pm

After you have installed WAMP do the following:

(a) Download a lower version of PHP (say 5.2.9) from http://www.wampserver.com/en/addons_php.php.

(b) Install PHP 5.2.9 package that was downloaded from step (a)

(c) Bringup WampServer

(d) Click on the Wampserver icon in the icon tray

(e) Hover the mouse over PHP -> a slider menu will come with options such as Version and PHP Settings.

(f) Hover the mouse over the option Version -> another slier menu will come listing the versions

(g) Hover the mouse over PHP 5.2.9 and click

At time the icon will change color to yellow and come back to normal.
Ilagnayeru (MIG) Manickam | இளஞாயிறு மாணிக்கம்
Joomla! - Global Moderators Team | Translations Coordination Team | Tamil (தமிழ்) Translation Team

Eegan - Support the poor and underprivileged

col_jay
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Thu Aug 13, 2009 12:14 pm

Re: error on frontpage menu bar lefthand side

Post by col_jay » Mon Aug 17, 2009 5:46 am

Thank you for the help. Up and running.

User avatar
spacegate
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Fri May 15, 2009 7:47 am

Re: error on frontpage menu bar lefthand side

Post by spacegate » Mon Aug 17, 2009 6:43 am

There are provisions with wamp to install and use various versions of different products such as Apache, PHP and MySQL. In fact with wamp you can almost mimic your host environment.
Signature rules: Literal URLs only - http://forum.joomla.org/viewtopic.php?f=8&t=65

darbehr
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Tue Sep 15, 2009 2:10 pm

Re: error on frontpage menu bar lefthand side

Post by darbehr » Tue Sep 15, 2009 4:32 pm

Thank you. This worked for me as well.

fcalbrecht
Joomla! Fledgling
Joomla! Fledgling
Posts: 3
Joined: Wed Mar 12, 2008 3:18 pm

Re: error on frontpage menu bar lefthand side

Post by fcalbrecht » Fri Nov 13, 2009 5:26 pm

Thanks you, now is working sweet for me.

imanickam wrote:After you have installed WAMP do the following:

(a) Download a lower version of PHP (say 5.2.9) from http://www.wampserver.com/en/addons_php.php.

(b) Install PHP 5.2.9 package that was downloaded from step (a)

(c) Bringup WampServer

(d) Click on the Wampserver icon in the icon tray

(e) Hover the mouse over PHP -> a slider menu will come with options such as Version and PHP Settings.

(f) Hover the mouse over the option Version -> another slier menu will come listing the versions

(g) Hover the mouse over PHP 5.2.9 and click

At time the icon will change color to yellow and come back to normal.


Locked

Return to “General Questions/New to Joomla! 1.5”